// JavaScript reference: https://developer.mozilla.org/en-US/docs/Web/JavaScript
function roundN(value, nDigits) {
  factor = Math.pow(10,nDigits);
  return Math.round(value * factor)/factor;
}

function init() {
  // https://developer.mozilla.org/en-US/docs/Web/API
  // https://developer.mozilla.org/en-US/docs/Web/API/DeviceOrientationEvent
  if (window.DeviceOrientationEvent) {
    window.addEventListener("deviceorientation", function(event) {
      document.getElementById("Orientation-absolute").innerHTML = event.absolute; // note that this is a Boolean value
      document.getElementById("Orientation-alpha")   .innerHTML = roundN(event.alpha,2);
      document.getElementById("Orientation-beta")    .innerHTML = roundN(event.beta, 2);
      document.getElementById("Orientation-gamma")   .innerHTML = roundN(event.gamma,2);
    }, true);
  } else {
    document.getElementById("DeviceOrientation").innerHTML = "Device orientation not supported";
  }
  // https://developer.mozilla.org/en-US/docs/Web/API/DeviceMotionEvent
  if (window.DeviceMotionEvent) {
    window.addEventListener("devicemotion", function(event) {
      document.getElementById("Acceleration-x").innerHTML = roundN(event.acceleration.x, 2);
      document.getElementById("Acceleration-y").innerHTML = roundN(event.acceleration.y, 2);
      document.getElementById("Acceleration-z").innerHTML = roundN(event.acceleration.z, 2);
      document.getElementById("AccelerationIncludingGravity-x").innerHTML = roundN(event.accelerationIncludingGravity.x, 2);
      document.getElementById("AccelerationIncludingGravity-y").innerHTML = roundN(event.accelerationIncludingGravity.y, 2);
      document.getElementById("AccelerationIncludingGravity-z").innerHTML = roundN(event.accelerationIncludingGravity.z, 2);
      document.getElementById("RotationRate-alpha").innerHTML = roundN(event.rotationRate.alpha, 2);
      document.getElementById("RotationRate-beta").innerHTML = roundN(event.rotationRate.beta, 2);
      document.getElementById("RotationRate-gamma").innerHTML = roundN(event.rotationRate.gamma, 2);
      document.getElementById("Interval").innerHTML = event.interval;
    }, true);
  } else {
    document.getElementById("DeviceMotion").innerHTML = "Device motion not supported";
  }
}
