// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

// Specify that video processing library is to be used.
import processing.video.*;

// This is made globally accessible representing the camera.
Capture camera;

// This function is called when the program starts to run.
void setup() {
  // Sets the size of the display window, and that 2D is used.
  size(640, 480, P2D);
  // Creates the camera object.
  camera = new Capture(this,width,height);
  // Starts the camera for capturing.
  camera.start();
}

// This function is called periodically, whenever the display needs to be refreshed.
void draw() {
  // Read the video frame again only if it is available.
  if (camera.available()) {
    // Reads the new frame.
    camera.read();
  }
  // Draws the frame to the screen.
  // The first parameter is the image object to be drawn,
  //   the next two parameters are the x and y coordinates of
  //   the top left hand corner of the image.
  //
  //   image    x  y
  //     |      |  |
  image(camera, 0, 0);
}
