// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

import processing.video.*;

Movie mov;

// This function is called when the program first starts.
void setup() {
  // Creates the object representing the movie.
  // mov = new Movie(this, "Circle trace.mov");
  // size(728, 454, P2D);
  
  mov = new Movie(this, "LongitudinalWave.mov");
  size(1275, 119, P2D);

  // To read the first frame, we have to start it playing
  //   so we can get properties of the movie, such as its size.
  mov.play();                      // Start it playing.
  while (!mov.available()) {       // Wait till video is available.
    print(".");                    // Print something while waiting.
    flush();                       // Make sure it is shown immediately.
  }
  mov.read();                      // Read the content of the first frame.
  println();
  println("Movie size: "+mov.width+"x"+mov.height);
}

// This function is called automatically whenever the screen can be refreshed.
void draw() {
  // Make background black.
  // This is not needed unless the movie is not completely opaque.
  background(0);
  // Read a new frame if it is available.
  if (mov.available()) {
    mov.read();
  }
  // Draw a frame of movie on screen.
  image(mov, 0, 0, width, height);
  // Make words to be displayed black in colour.
  fill(0);
  // Display the frame number on screen.
  text("Time: "+mov.time(), 15, 30);
}