// Written by Dr. YIP Chi Lap [Beta]
//   for Talk on "DIY Earthquake Detector: The software side" 
//   Earthquake Detector Design Competition
//   Faculty of Engineering, The University of Hong Kong, 2016.

import processing.video.*;

Movie mov;
int frameNumber;
int frameRate;
int totalFrame;

// This function is called when the program first starts.
//
// A complication of using the Movie class:
//   there is no way to find the frame rate, so have to calculate.
void setup() {
  frameNumber = 0;
  frameRate = 0;
  totalFrame = 0;

  // Creates the object representing the movie.
  mov = new Movie(this, "Circle trace.mov");
  size(728, 454, P2D);
  
  // mov = new Movie(this, "LongitudinalWave.mov");
  // size(1275, 119, P2D);

  // To read the first frame, we have to start it playing
  //   so we can get properties of the movie, such as its size.
  mov.play();                      // Start it playing.
  while (!mov.available()) {       // Wait till video is available.
    print(".");
  }
  mov.read();                      // Read the content of the first frame.
  println();
  println("Movie size: "+mov.width+"x"+mov.height);
}

// This function is called automatically whenever the screen can be refreshed.
void draw() {
  // Make background black.
  // This is not needed unless the movie is not completely opaque.
  background(0);

  // Read a new frame if it is available.
  // See note at the end of this program
  if (mov.available()) {
    mov.read();
    ++frameNumber;
    // The value has to be updated on reading every frame
    //   because there may be timing inaccuracies.
    if (mov.time()!=0) {
      frameRate = (int)(round((float)frameNumber/mov.time()));
      totalFrame = (int)(mov.duration()*frameRate) - 1;
    }
  }

  // Draw a frame of movie on screen.
  image(mov, 0, 0, width, height);
  // Make words to be displayed in dark green.
  // The three values are values for
  //   Red, Green, and Blue components respectively.
  fill(0,127,0);
  // Display the frame number on screen.
  // println("Frame: "+frameNumber+" / "+totalFrame+" @"+frameRate+"fps");
  textSize(24);
  text("Frame: "+frameNumber+" / "+totalFrame+" @"+frameRate+"fps", 15, 30);
}